> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.lineadvancer/yarn.unity.lineadvancer.requestlinehurryup.md).

# RequestLineHurryUp()

Method in [LineAdvancer](/3.1/api/csharp/yarn.unity/yarn.unity.lineadvancer.md)

## Summary

Requests that the line be hurried up.

```csharp
public void RequestLineHurryUp()
```

## Remarks

If this method has been called more times for a single line than `Yarn.Unity.LineAdvancer.numberOfAdvancesThisLine` , this method requests that the dialogue runner proceed to the next line. Otherwise, it requests that the dialogue runner instruct all line views to hurry up their presentation of the current line.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.lineadvancer/yarn.unity.lineadvancer.requestlinehurryup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
